<?php

declare(strict_types=1);

namespace Gls\GlsPoland\Soap\Engine\Metadata;

use Gls\GlsPoland\Soap\Engine\Metadata\Collection\MethodCollection;
use Gls\GlsPoland\Soap\Engine\Metadata\Collection\TypeCollection;

interface MetadataInterface
{
    public function getTypes(): TypeCollection;

    public function getMethods(): MethodCollection;
}
